For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • GETList Videos
        • POSTUpload Video
        • GETGet Video
        • DELDelete Video
        • PATCHUpdate Video Metadata
        • GETList Video Groups
        • POSTCreate Video Group
        • GETGet Video Group
        • DELDelete Video Group
        • PATCHUpdate Video Group
        • GETList Group Videos
        • POSTMove Videos To Group
        • GETGet Feature Catalog
        • POSTPlan Features
        • POSTTrigger Captions
        • POSTTrigger Objects
        • POSTTrigger Embeddings
        • POSTTrigger Transcript
        • POSTSearch
        • POSTChat
        • GETList Captions
        • GETList Transcript
        • GETList Scenes
        • GETList Objects
        • POSTSegment
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceV2

Move Videos To Group

POST
https://vision-agent.api.reka.ai/v2/video-groups/:group_id/videos
POST
/v2/video-groups/:group_id/videos
$curl -X POST https://vision-agent.api.reka.ai/v2/video-groups/group_id/videos \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "video_ids": [
> "string"
> ]
>}'
200Successful
1{
2 "status": "string",
3 "moved_count": 1,
4 "group_id": "string",
5 "video_ids": [
6 "string"
7 ]
8}
Was this page helpful?
Previous

Get Feature Catalog

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Path parameters

group_idstringRequired
Destination group identifier

Request

This endpoint expects an object.
video_idslist of stringsRequired

Response

Successful Response
statusstring
moved_countinteger
group_idstring
video_idslist of strings